/***************************************************************************
 * Copyright (C) 2005 by Benjamin Hadorn (bhadorn@swissinfo.org)           *
 *************************************************************************** 
 * Projekt : Zeus                                                          *
 * Module  : zeus                                                          *
 * Package : examples/framework                                            *
 * Author  : ccmapp                                                        *
 * Datum   : $Date: 2005/11/25 09:22:15 $                                  *
 * Ablage  : $File$                                                        *
 * System  : Cell Computing Model                                          *
 ***************************************************************************
 * Aenderungen :                                                           *
 *   $Log: Main.cpp,v $
 *   Revision 1.2  2005/11/25 09:22:15  bhadorn
 *   Reading and parsing the application parameters before loading the framework
 *
 *   Revision 1.1  2005/10/28 12:09:54  bhadorn
 *   *** empty log message ***
 *                                                                         *
 ***************************************************************************
 * Lizenz  :                                                               *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <examples/framework/CCMFrameLoader.h>
#include <zeusbase/System/StdLogger.h>
#include <zeusbase/System/LoggerManager.h>
#include <zeusbase/System/SingletonManager.h>
#include <zeusbase/System/Application.h>
#include <stdio.h>

USING_NAMESPACE_Zeus

/****************************************************************************/
/*! Main Funktion zum Starten des CCM Frameworks Zeus.
*/
/****************************************************************************/
int main(int argc, char *argv[])
{
  int iRetval = 0;
  MStartZeusFramework(TStdLogger, TCCMFrameLoader, iRetval);
  return iRetval;
}


