/***************************************************************************
 * Copyright (C) 2005 by Benjamin Hadorn (bhadorn@swissinfo.org)           *
 *************************************************************************** 
 * Projekt : modec                                                         *
 * Module  : MandelbrotCellModule                                          *
 * Package : MandelbrotCellModule                                          *
 * Author  : Benjamin Hadorn                                               *
 * Datum   : $Date: 2005/11/25 09:20:44 $                                                        *
 * Ablage  : $File$                                                        *
 * System  : Cell Computing Model                                          *
 ***************************************************************************
 * Aenderungen :                                                           *
 *   $Log: MandelbrotCellModule.cpp,v $
 *   Revision 1.1  2005/11/25 09:20:44  bhadorn
 *   Created
 *
 ***************************************************************************
 * Lizenz  :                                                               *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include <stdio.h> 
#include <examples/mandelbrot/MandelbrotCellModule/MandelbrotCell.h>
#include <examples/mandelbrot/MandelbrotFrame.h>
#include <zeusbase/System/XObjectFactory.h>
#include <zeusbase/System/LibraryManager.h>
#include <zeusdev/AbstractModuleSession.h>

USING_NAMESPACE_Zeus

///////////////////////////////////////////////
// Exported Factories
//MExportObjectFactory(IModuleSession, TInputModuleSession);
MExportXObjectFactory(TMandelbrotCell);
///////////////////////////////////////////////

MregisterLibrary_Start(L"MandelbrotCellModule");
{
  OBJECTFACTORY_REGISTER_CLASS(NAMESPACE_Zeus::TMandelbrotFrame);
}
MregisterLibrary_End
MunregisterLibrary();

 
