/***************************************************************************
 * Copyright (C) 2005 by Benjamin Hadorn (bhadorn@swissinfo.org)           *
 *************************************************************************** 
 * Projekt : Zeus                                                          *
 * Module  : Naming_Skel                                                   *
 * Package : NameServer                                                    *
 * Author  : Benjamin Hadorn                                               *
 * Datum   : $Date: 2005/11/10 11:05:49 $                                                        *
 * Ablage  : $File$                                                        *
 * System  : Cell Computing Model                                          *
 ***************************************************************************
 * Aenderungen :                                                           *
 *   $Log: Naming_Skel.h,v $
 *   Revision 1.1  2005/11/10 11:05:49  bhadorn
 *   Created
 *                                                                 *
 ***************************************************************************
 * Lizenz  :                                                               *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/ 
  
#ifndef Naming_SkelH
#define Naming_SkelH

#include <zeusbase/Remote/Naming.h>
#include <zeusbase/Remote/AbstractSkel.h>

BEGIN_NAMESPACE_Zeus

/***************************************************************************/
/* Naming Skeleton
*/
/***************************************************************************/
SKEL_DECL(TNaming_Skel, TNaming);


END_NAMESPACE_Zeus

#endif
