/***************************************************************************
 * Copyright (C) 2005 by Benjamin Hadorn (bhadorn@swissinfo.org)           *
 *************************************************************************** 
 * Projekt : Zeus                                                          *
 * Module  : StreamScanner                                                 *
 * Package : System                                                        *
 * Author  : Benjamin Hadorn                                               *
 * Datum   : $Date: 2005/11/10 10:22:07 $                                                        *
 * Ablage  : $File$                                                        *
 * System  : Cell Computing Model                                          *
 ***************************************************************************
 * Aenderungen :                                                           *
 *   $Log: StreamScanner.cpp,v $
 *   Revision 1.1  2005/11/10 10:22:07  bhadorn
 *   Created
 *                                                                 *
 ***************************************************************************
 * Lizenz  :                                                               *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <zeusbase/System/StreamScanner.h>
#include <string.h>

USING_NAMESPACE_Zeus

/***************************************************************************/
/*! Creates a new stream scanner
*/
/***************************************************************************/
TStreamScanner::TStreamScanner()
{
  memset(&m_Header, 0, sizeof(RObjectHeader));
}


/***************************************************************************/
/*! Destroys the stream scanner
*/
/***************************************************************************/
TStreamScanner::~TStreamScanner()
{

}
    
/***************************************************************************/
/*! scans a stream and creates pairs of attribute and values
    \param stream : Data stream
    \retval RET_NOERROR : scanning was done
    \retval RET_INVALID_PARAMETER : Invalid parameter received
    \retval RET_REQUEST_FAILED : Could not scann and parse the stream
*/
/***************************************************************************/
unsigned long TStreamScanner::scan(IInputStream* stream)
{
  unsigned long ulRetval = RET_REQUEST_FAILED;
  if (stream == NULL)
  {
    ulRetval = RET_INVALID_PARAMETER;
  }
  else
  {
    memset(&m_Header, 0, sizeof(RObjectHeader));
/*    long lByteCount = 0;
    if (stream->read((char*)Header, sizeof(Header), &lByteCount) == RET_NOERROR && lByteCount == sizeof(Header))
    {
      //If length of body is set -> allocate buffer to read the body
      if (Header.ulBodyLen > 0)
      {
        char* cBuffer = new char[Header.ulBodyLen];
        long lByteRead = 0;
        ulRetval = RET_NOERROR;
        
        //Read all data out of the input stream
        while (lByteRead < Header.ulBodyLen && ulRetval == RET_NOERROR)
        {
          if (stream->read((char*)Header, sizeof(Header), &lByteCount) == RET_NOERROR)
        }
        
        if (stream->read((char*)Header, sizeof(Header), &lByteCount) == RET_NOERROR && lByteCount == sizeof(Header))
        {
        
        }
        delete [] cBuffer;
      }
    }
    else
    {
      ulRetval = RET_REQUEST_FAILED;
    }*/
  }
  return ulRetval;
}
 
