    
#include <zeustest/System/NetworkInterfaceTest.h>
#include <stdio.h>

USING_NAMESPACE_Zeus

CPPUNIT_TEST_SUITE_REGISTRATION( TNetworkInterfaceTest );


/***************************************************************************/
/*! Sets up a test
*/
/***************************************************************************/
void TNetworkInterfaceTest::setUp()
{}

/***************************************************************************/
/*! Releases all instances
*/
/***************************************************************************/
void TNetworkInterfaceTest::tearDown()
{
  while(!m_lstObjRef.isEmpty())
  {
    m_lstObjRef.pop()->release();
  }
}
          
/***************************************************************************/
/*! Tests the absolute Filename of a file
*/
/***************************************************************************/
void TNetworkInterfaceTest::test_getInterfaceByName()
{
  TNetworkInterface* pInterface = NULL;
  CPPUNIT_ASSERT(TNetworkInterface::getInterfaceByName(L"lo", &pInterface) == RET_NOERROR);
  m_lstObjRef.push(pInterface);
  CPPUNIT_ASSERT(pInterface->getAddress() == L"127.0.0.1");
  
  CPPUNIT_ASSERT(TNetworkInterface::getInterfaceByName(L"eth5", &pInterface) != RET_NOERROR);
//  m_lstObjRef.push(pInterface);
  
}
 
